version: '3'
services:
 node-api:
    build: backend/demo-rest
    depends_on:
      - db
    ports: 
      - 3001:3001
 web-app:
    build: frontend/react-articles-fronted
    ports: 
        - 3000:3000
 db:
    image: mongo
    container_name: mongodb
    ports: 
      - 27017:27017
    environment:
      MONGO_INITDB_DATABASE: blogs
      MONGO_INITDB_ROOT_USERNAME: test
      MONGO_INITDB_ROOT_PASSWORD: test2020
    volumes:
      - ./init-mongo.js:/docker-entrypoint-initdb.d/init-mongo-js:ro
      - /docker-entrypoint-initdb.d